be.ehealth.businessconnector.genericasync.mappers

## Class CommonInputMapperImpl

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.mappers.CommonInputMapperImpl

- All Implemented Interfaces:
    CommonInputMapper

      @Generated(value="org.mapstruct.ap.MappingProcessor",
                 date="2022-12-09T18:28:41+0100",
                 comments="version: 1.4.2.Final, compiler: javac, environment: Java 1.8.0_101 (Oracle Corporation)")
      public class CommonInputMapperImpl
      extends Object
      implements CommonInputMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonInputMapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareProviderType` | `map(CareProvider input)`
    `CommonInput` | `map(CommonInput input)`
    `IdType` | `map(Identification input)`
    `NihiiType` | `map(Nihii input)`
    `OrigineType` | `map(Origin input)`
    `PackageType` | `map(PackageInfo input)`
    `PartyType` | `map(Party input)`
    `PackageType` | `mapMCNPackage(McnPackageInfo input)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonInputMapperImpl

          public CommonInputMapperImpl()

  - ### Method Detail

    - #### map

          public CommonInput map(CommonInput input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public OrigineType map(Origin input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public PackageType map(PackageInfo input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public CareProviderType map(CareProvider input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public NihiiType map(Nihii input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public IdType map(Identification input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### map

          public PartyType map(Party input)

      Specified by:
        `map` in interface `CommonInputMapper`

    - #### mapMCNPackage

          public PackageType mapMCNPackage(McnPackageInfo input)

      Specified by:
        `mapMCNPackage` in interface `CommonInputMapper`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.